## org.eclipse.emf.ecore
Interface EPackage.Descriptor

Enclosing interface:
  EPackage

    public static interface EPackage.Descriptor

An `EPackage` wrapper that is used by the `EPackage.Registry`.

Method Summary
`EFactory` `getEFactory()` Returns the factory.
`EPackage` `getEPackage()` Returns the package.

Method Detail

### getEPackage

    EPackage getEPackage()

  Returns the package.

  Returns:
    the package.

### getEFactory

    EFactory getEFactory()

  Returns the factory.

  Returns:
    the factory.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.